# `SDL2_jll.jl` (v2.24.2+1)

[![deps](https://juliahub.com/docs/SDL2_jll/deps.svg)](https://juliahub.com/ui/Packages/SDL2_jll/YU4RS?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/359cb6fa92e5b8f0947cead0d99aac830484fc73/S/SDL2/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `SDL2_jll.jl` have been built from these sources:

* git repository: https://github.com/libsdl-org/SDL.git (revision: `55b03c7493a7abed33cf803d1380a40fa8af903f`)

## Platforms

`SDL2_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `SDL2_jll.jl`:

* [`Libglvnd_jll`](https://github.com/JuliaBinaryWrappers/Libglvnd_jll.jl)
* [`Xorg_libX11_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libX11_jll.jl)
* [`Xorg_libXScrnSaver_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXScrnSaver_jll.jl)
* [`Xorg_libXcursor_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXcursor_jll.jl)
* [`Xorg_libXext_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXext_jll.jl)
* [`Xorg_libXinerama_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXinerama_jll.jl)
* [`Xorg_libXrandr_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXrandr_jll.jl)
* [`alsa_jll`](https://github.com/JuliaBinaryWrappers/alsa_jll.jl)
* [`alsa_plugins_jll`](https://github.com/JuliaBinaryWrappers/alsa_plugins_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libsdl2`
